Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 460367 - Local dev mounts appear on desktops of other users
Summary: Local dev mounts appear on desktops of other users
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: ltspfs
Version: 10
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Warren Togami
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: K12LTSP
TreeView+ depends on / blocked
 
Reported: 2008-08-27 19:45 UTC by Warren Togami
Modified: 2009-07-20 19:46 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-20 19:46:07 UTC


Attachments (Terms of Use)

Description Warren Togami 2008-08-27 19:45:22 UTC
http://bugzilla.gnome.org/show_bug.cgi?id=526320#c12
http://bugzilla.gnome.org/show_bug.cgi?id=526320#c14
Despite these earlier patches against glib and ltspfs, it is still possible for local dev mounts owned by one user to appear on the desktop on other users even if they are inaccessible.  This happens in the case where all users are members of a common group and that group is their primary group.

glib W_OK instead of only R_OK might solve this problem, but the earlier idea of fsacls on /media/$username with permissions 0700 might be a better idea.  Test both ideas.

Comment 1 Warren Togami 2008-08-27 20:40:30 UTC
http://bugzilla.gnome.org/show_bug.cgi?id=526320#c20
This makes a good point that the patches above did not actually help at all for normal GNOME.  GNOME needs to take multi-user into account.  Unfortunately while this suggested change would help normal GNOME, it wouldn't help LTSP.

Comment 2 Bug Zapper 2008-11-26 02:53:00 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Warren Togami 2009-07-20 19:46:07 UTC
I think this isn't an issue anymore.  If it is, it should be fixed in upstream, not here.


Note You need to log in before you can comment on or make changes to this bug.